Relesys API Docs

v1.4

https://api.relesysapp.net/api/v1.4

Subtask Completions

List
GET /taskmanagementmodules/{moduleId}/tasks/{taskId}/subtasks/{subtaskId}/completions
https://api.relesysapp.net/api/v1.4/taskmanagementmodules/{moduleId}/tasks/{taskId}/subtasks/{subtaskId}/completions
Get a list of subtask completions for subtask with subtaskId that belongs to a task with taskId in a module with moduleId.

Default sort is by creationDateTime in descending order.

areaDepartmentId will be populated only when task's assignee type is "ByDepartmentType".
Scopes: relesys.api, relesys.api:read, relesys.api.taskmanagement, relesys.api.taskmanagement:read
URL Path
moduleId string / guid The module's unique identifier required
taskId string / guid The task's unique identifier required
subtaskId string / guid The subtask's unique identifier required
Query String
areaDepartmentId string / guid Filterable optional
creationDateTime datetimeoffset Filterable Sortable optional
departmentId string / guid Filterable optional
id string / guid Filterable optional
userId string / guid Filterable optional
sort string Comma separated sort order based on sortable properties optional
offset integer Offset value for use in pagination Default: 0 optional
limit integer Total objects to fetch (max 1000) Default: 200 optional
Responses
application/json
JSON
{"count":2,"data":[{"id":"c77fefba-6666-4a3b-b94c-5f078564fef5","userId":"4397d198-7582-47ff-8761-55ab0d4c90ae","departmentId":"9d34d83d-9d85-4c21-983e-ab845f151998","areaDepartmentId":"eb5346c5-3106-4557-9811-6017c22a7181","creationDateTime":"2026-10-09T22:37:00.6891031+00:00"},{"id":"9959b155-de04-4d4c-ae8c-688b4834ab23","userId":"732a75aa-2d10-4e52-ad85-369e4a8864dc","departmentId":"bff6d807-cfc2-4e1a-ba36-0cfd0bc95f22","areaDepartmentId":null,"creationDateTime":"2026-10-08T22:37:00.6891031+00:00"}]}
object
  count integer      
  ⯈ data array[object]      
   areaDepartmentId string / guid      
   creationDateTime datetimeoffset      
   departmentId string / guid      
   id string / guid      
   userId string / guid      
  nextUrl string      
  previousUrl string